# If you don't have 360+ MB of free disk space or don't want to run checks then
# set make_check to 0.
%define make_check 1

Summary: A Concurrent Versioning system similar to, but better than, CVS.
Name: subversion
Version: 0.27.0
Release: 2
Copyright: BSD
Group: Development/Tools
URL: http://subversion.tigris.org

Source0: http://subversion.tigris.org/tarballs/subversion-0.27.0.tar.gz

Patch0: subversion-0.27.0-CAN-2004-0179.patch
Patch1: subversion-0.27.0-rpath.patch
Patch2: subversion-0.27.0-libtool.patch

Requires: /sbin/install-info

BuildPreReq: autoconf >= 2.53
BuildPreReq: db4-devel >= 4.0.14
BuildPreReq: expat-devel
BuildPreReq: gdbm-devel
BuildPreReq: libtool >= 1.4.2
BuildPreReq: openssl-devel
BuildPreReq: python
BuildPreReq: python-devel

BuildPreReq: texinfo
BuildPreReq: zlib-devel
BuildRoot: %{_tmppath}/%{name}-root


%description
Subversion is a concurrent version control system which enables one or more
users to collaborate in developing and maintaining a hierarchy of files and
directories while keeping a history of all changes.  Subversion only stores
the differences between versions, instead of every complete file.  Subversion
also keeps a log of who, when, and why changes occured.

As such it basically does the same thing CVS does (Concurrent Versioning System)
but has major enhancements compared to CVS and fixes a lot of the annoyances
that CVS users face.

%package devel
Group: Development/Tools
Summary: Development package for Subversion developers.
Requires: subversion = %{version}-%{release}

%description devel
The subversion-devel package includes the static libraries and include files
for developers interacting with the subversion package.

%prep
%setup -q
%patch0 -p1 -b .can0179
%patch1 -p1 -b .rpath

%build
./autogen.sh
patch -p1 -b -z .libtool < %{PATCH2}
%configure --without-swig --without-apxs
make

%if %{make_check}
make check
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}

# XXX avoid "perl(Config::IniFiles) >= 2.27" dependency
chmod -x ./tools/hook-scripts/commit-access-control.pl

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/apr-0
mv ${RPM_BUILD_ROOT}%{_includedir}/a*.h ${RPM_BUILD_ROOT}%{_includedir}/apr-0

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/neon-0.23.*/html/

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/build
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{version}
mv ${RPM_BUILD_ROOT}%{_datadir}/doc/neon-0.23.* \
   ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS COMMITTERS COPYING HACKING IDEAS INSTALL README
%doc tools subversion/LICENSE
%{_bindir}/svn*
%{_libdir}/libsvn*.so.*
%{_mandir}/man1/*

%{_libdir}/libapr*.so.*
%{_libdir}/libneon*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/subversion-1
%{_libdir}/libsvn*.a
%{_libdir}/libsvn*.la

%{_bindir}/apr-config
%{_bindir}/apu-config
%{_includedir}/apr-*
%{_libdir}/apr*.exp
%{_libdir}/libapr*.a
%{_libdir}/libapr*.la

%{_bindir}/neon-config
%{_includedir}/neon
%{_libdir}/libneon*.a
%{_libdir}/libneon*.la
%{_mandir}/man3/*

%changelog
* Tue Apr  6 2004 Joe Orton <jorton@redhat.com> 0.27.0-2
- fix RPATH and libtool issues

* Mon Apr  5 2004 Joe Orton <jorton@redhat.com> 0.27.0-1
- update to 0.27.0 (last version using the format 1 db schema)
- add neon fix for CAN-2004-0179

* Wed Jan 22 2003 Jeff Johnson <jbj@redhat.com> 0.17.1-4503.0
- upgrade to 0.17.1.

* Wed Dec 11 2002 Jeff Johnson <jbj@redhat.com> 0.16-3987.1
- upgrade to 0.16.

* Wed Nov 13 2002 Jeff Johnson <jbj@redhat.com> 0.15-3687.2
- don't mess with the info handbook install yet.

* Sun Nov 10 2002 Jeff Johnson <jbj@redhat.com> 0.15-3687.1
- use libdir, build on x86_64 too.
- avoid "perl(Config::IniFiles) >= 2.27" dependency.

* Sat Nov  9 2002 Jeff Johnson <jbj@redhat.com> 0.15-3687.0
- first build from adapted spec file, only client and libraries for now.
- internal apr/apr-utils/neon until incompatibilities sort themselves out.
- avoid libdir issues on x86_64 for the moment.
